Page MenuHomePhabricator

[EPIC] Suggested edits V5 (enhanced user contribution history)
Closed, ResolvedPublic

Description

Disclaimer: Designs are work in progress (week of April 17, 2020)

Description

Suggested edits V5 will introduce a contribution history feature. We build off of what we already have. On Suggested edits home, we are including a way to access the contributions history screen. It lists all user contributions from Suggested edits

Updates (Zeplin | Notion)

01) Add link to “Contributions” in profile stats, increase its affordance and attach separate “Contributions” view to it:

02) Create “Contributions” view

  • About handling reverts: A list item does not indicate that a contribution has been changed or reverted. A contribution is a contribution, regardless of it being changed/reverted or not. Users will be educated about it through push notifications.
  • About displaying thumbnails
    • Images are shown for all edit types if available
    • If there’s no image available for article descriptions, text will span full width
  • Proposed information architecture for a contribution list item:
    • Date
    • Time
    • Title
      • For article descriptions: Wikipedia article title
      • For image captions & tags: File name on Commons
    • Description: Article description, image caption or image tags that the user has added
    • Type of edit (language)
  • List items should link to a diff page, described in 03)

03) Create diff detail page (this is a wireframe for an article diff, stitched together from the Wikipedia iOS app. Designs Commons diff files needs to be created yet):

  • Contribution list item leads to a new diff page in the app. This experience is similar to what happens on Desktop and Mobile.
  • The diff page shows the user’s edit compared to the previous one of the item. Suggested information architecture of the diff page (work in progress):
    • Title of the article, Commons file or Wikidata item
    • If image is available, output image
    • Link to article (for article descriptions), link to Commons file (for image captions and tags)
    • Bytes added / removed
    • Edit summary (if available)
    • Diff (see work on iOS)
    • Type of edit (Mobile editSuggested edit)

04) Create detail view for files on Commons (this is a wireframe, stitched together from previous work)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2020, 3:40 PM
daniel added a subscriber: daniel.May 8 2020, 1:34 PM

@schoenbaechler Do we have an image of the Contributions Screen with the 'Filter By" selector visible? I'm making a schema doc for this and want to include graphics for clarity. Thx.

schoenbaechler renamed this task from [EPIC] Enhanced user contribution history for SE to [EPIC] Suggested edits V5 (enhanced user contribution history).Jun 29 2020, 9:56 AM